Page MenuHomePhabricator

[DO NOT USE] Messages needing PLURAL support (tracking) [superseded by #Plural-Support]
Closed, InvalidPublic

Description

Superseded by Plural-Support

Tracking bug for all issues related to plural rules support. Should mostly be implementation in specific messages nowadays, and it's the responsibility of the maintainers of the specific piece of code or of volunteers in these cases (as far as I know).

Note that many many more requests are among the https://translatewiki.net/wiki/Support/Open_requests


URL: https://www.mediawiki.org/w/index.php?title=Manual:Messages_API&oldid=645340#Add_PLURAL_support
See also: T32443: [DO NOT USE] GENDER (tracking) [superseded by #Gender-Support]

Details

Reference
bz38781

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 11:58 AM
jrbs added a subscriber: jrbs.
Krinkle removed a subscriber: Krinkle.May 16 2016, 1:16 PM

I don't see a benefit in such proposal.

jrbs removed a subscriber: jrbs.Sep 7 2017, 2:47 PM
MarcoAurelio renamed this task from Messages needing PLURAL support (tracking) to [DO NOT USE] Messages needing PLURAL support (tracking) [superseded by #Plural-Support].Jan 6 2018, 12:20 PM
MarcoAurelio closed this task as Invalid.
MarcoAurelio lowered the priority of this task from Medium to Lowest.
MarcoAurelio updated the task description. (Show Details)
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 6 2018, 12:20 PM
MarcoAurelio removed subtasks: T171047: [[MediaWiki:Rcfilters-limit-shownum]] needs PLURAL support, T166927: Use the template {{plural}} in Quiz Extension i18n messages, T165798: Add plural support to "MediaWiki:Revertpage", T160249: the messages "multi_select_items_selected" and "reading_list_items_deleted" need PLURAL support, T94546: Math-status-introduction needs {{PLURAL}} support, T156213: Provide PLURAL support for a few i18n messages in QuizGame, T153391: PLURAL/GENDER used with no pipe or parameter..., T150666: Replace tracking task T40781 with a new tag "Plural-Support", T138137: Message MediaWiki:Googlelogin-manage-linked needs Plural, T137035: [[Wikimedia:Wikiedudashboard-metrics.uploads in use count/en]] i18n issue, T137040: [[Wikimedia:Wikiedudashboard-users.number of articles/en]] i18n issue, T137041: [[Wikimedia:Wikiedudashboard-users.training modules completed/en]] i18n issue, T136299: [[Wikimedia:Pageviews-num-pages/en]] needs PLURAL, T136300: [[Wikimedia:Pageviews-elapsed-time/en]] needs PLURAL, T136027: [[Wikimedia:Pageviews-faq-throttle-wait-title/en]] needs PLURAL, T136013: [[Wikimedia:Pageviews-elapsed-time/en]] i18n issue, T135817: [[Wikimedia:Pageviews-api-incomplete-data/en]] i18n issue, T128254: [[Wikimedia:Wikipedia-ios-page-read-in-other-languages/ksh]] i18n issue, T133766: Add jQuery i18n to Pageviews Analysis, T132209: [[Wikimedia:Wikipedia-ios-page-read-in-other-languages/en]] needs PLURAL, T131741: [[MediaWiki:Ipb-blocklist-duration-left/en]] i18n plural issue, T129456: PLURAL needed in Wikipedia-ios-nearby-loading, T130005: Message [[Wikimedia:Pageviews-select2-max-items/en]] needs PLURAL support., T129633: PLURAL needed on $1, T129415: [[Wikimedia:Wikipedia-ios-nearby-distance-label-meters/cs]] i18n issue, T129442: [[Wikimedia:Pageviews-select2-max-chars/en]] needs PLURAL support, T125296: Intuition:X'stools-time ago/ksh i18n issue, T125298: Ores-damaging-filter needs PLURAL support, T124920: PLURAL support needed for [[MediaWiki:Smw-limitreport-intext-parsertime-value]] and [[MediaWiki:Smw-limitreport-pagepurge-storeupdatetime-value]], T57961: the message that shows the number of sources for a statement seems to use PLURAL incorrectly, T123165: Add PLURAL support to exif-pdf-pagesize, T114876: "Crosswatch-LOGEVENT RENAMEUSER" message needs plural support, T114872: [[Wikimedia:Crosswatch-LOGEVENT PAGETRIAGE TAG/ksh]] needs PLURAL, T112467: [[Intuition:Raun-more entries/ksh]] i18n issue, T111319: Add PLURAL support for parameters of precision messages, T111096: Add PLURAL support to some CentralAuth messages, T109564: Add PLURAL support to visualeditor-dialog-transclusion-contextitem-description, T93058: PLURAL support for MobileFrontend licensing messages, T67825: iOS App: Bottom of article says "1 other languages", T70267: Securepoll-htmlform-daterange-relative-layout needs PLURAL support, T53284: javascript side plural feature does not support explicit plural forms, T56679: PLURAL support for Coll-load local book, T55897: Split message breaks sentence structure in translations of "You have new messages"; lack of plural support, T50634: MediaWiki:pageinfo-subpages-name and MediaWiki:pageinfo-redirects-name need PLURAL support, T42252: PLURAL stopped working for Persian, T42250: plural: broken in Vietnamese (CLDR?), T42251: PLURAL broken: always returns singular in some languages, T40613: Multiple plural forms dependent on the number, T45482: Add PLURAL support to MediaWiki:Moodbar-form-note-dynamic, T44892: Create "how to add plural support" tutorial/manual, T44876: MediaWiki:Articlefeedbackv5-bucket5-report-ratings needs PLURAL support, T32968: Message Maintenance-cleanupTable-finished should support PLURAL, T31323: articlefeedback-pitch-thanks should be in singular form if the user submits only one rating, T39424: Pluralization Javascript is not working while adding a flag, T34275: {{PLURAL}} isn't expanded when an interface message transcludes Special:Recentchanges, T39232: i18n messages for copy category and description need PLURAL support, T30617: Useractivity-* interface messages and their documentation are unclear, T27274: PLURAL suggested for headline messages on page translate move confirmation page, T38858: negative numbers look weird in the feedback bubble remaining characters count, T23592: PLURAL is taken from wrong language, when calling internationalizeded messages with {{int:...}}, T31964: Add $2 parameter to message Mwe-upwiz-source-thirdparty-license, T30128: Consider whether {{PLURAL:}} should handle fractional numbers, T24985: Forcing the language for {{PLURAL}} rule, T30073: Add PLURAL support for MediaWiki:Recordadmin-notset, T30028: Many maintenance scripts messages lack PLURAL support, T26643: MediaWiki:Mwe-upwiz-mins-secs-remaining needs plural support: add $3 = $1 + $2, T22968: PLURAL support needed in JavaScripts, T22899: Allow PLURAL in MediaWiki:Edittoolbar-tool-table-toomany, T21190: Advanced editor toolbar i18n messages with markup should be avoided, T20834: Show estimate of number of edits to be reverted in rollback link, T20515: mediawiki:smw_querytoolarge needs PLURAL support.